#if !defined(GENERAL_H)
#define GENERAL_H TRUE
/* ========================================================================
 * Name - general.h
 *
 * Description - general glue, must be included first by every compiland
 *
 * $Id: general.h,v 1.3 1992/09/16 22:33:30 penneyj Exp $
 *
 * $Log: general.h,v $
 * Revision 1.3  1992/09/16  22:33:30  penneyj
 * misc cleanups
 *
 * Revision 1.2  1992/09/15  22:37:09  penneyj
 * misc facelift, preparing for distribution on alt.sources
 *
 * Revision 1.1  1992/09/15  22:18:47  penneyj
 * Initial revision
 *
 *========================================================================
 */

/* get system dependencies untangled... */
#include "system.h"

#ifndef NULL
#define NULL 0
#endif

typedef int BoolType;
#define TRUE 1
#define FALSE 0

#define BUFFERSIZE 16000
#define MINUS '-'
#define TMPDIR "/tmp/"
#define MYID "Man"

#define EXTRASPACE 10

#define OLD 11           /* These two are for the benefit of */
#define NUMSECTS 12      /* okdir() */

/* NO_PAGE must be 0, due to hybrid data coupling.  Yucch. */
typedef enum { NO_PAGE, NROFF_PAGE, PACKED_CAT_PAGE, COMPRESSED_CAT_PAGE,
  CAT_PAGE, ZCAT_NROFF_PAGE
  } manPageEType;

#endif /* GENERAL_H */
